# GiftCardFulfillments

giftCardFulfillments

## GET /giftCardFulfillments

> list GiftCardFulfillment

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"giftCardFulfillments","description":"giftCardFulfillments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.accounting.payment.GiftCardFulfillment":{"title":"Gift Card Fulfillment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.accounting.payment.GiftCardFulfillment"},"fulfillmentId":{"type":"string"},"typeEnumId":{"type":"string"},"merchantId":{"type":"string"},"partyId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"surveyResponseId":{"type":"string"},"cardNumber":{"type":"string"},"pinNumber":{"type":"string"},"amount":{"type":"number"},"responseCode":{"type":"string"},"referenceNum":{"type":"string"},"authCode":{"type":"string"},"fulfillmentDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/giftCardFulfillments":{"get":{"tags":["giftCardFulfillments"],"summary":"list GiftCardFulfillment","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"fulfillmentId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"typeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"merchantId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"partyId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"surveyResponseId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"cardNumber","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"pinNumber","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"amount","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"responseCode","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"referenceNum","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"authCode","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fulfillmentDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.accounting.payment.GiftCardFulfillment"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /giftCardFulfillments

> create GiftCardFulfillment

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"giftCardFulfillments","description":"giftCardFulfillments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.accounting.payment.GiftCardFulfillment.PK":{"title":"Gift Card Fulfillment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.accounting.payment.GiftCardFulfillment.PK"},"fulfillmentId":{"type":"string"}}},"org.apache.ofbiz.accounting.payment.GiftCardFulfillment":{"title":"Gift Card Fulfillment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.accounting.payment.GiftCardFulfillment"},"fulfillmentId":{"type":"string"},"typeEnumId":{"type":"string"},"merchantId":{"type":"string"},"partyId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"surveyResponseId":{"type":"string"},"cardNumber":{"type":"string"},"pinNumber":{"type":"string"},"amount":{"type":"number"},"responseCode":{"type":"string"},"referenceNum":{"type":"string"},"authCode":{"type":"string"},"fulfillmentDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/giftCardFulfillments":{"post":{"tags":["giftCardFulfillments"],"summary":"create GiftCardFulfillment","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.accounting.payment.GiftCardFulfillment.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.accounting.payment.GiftCardFulfillment"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.accounting.payment.GiftCardFulfillment"}}},"required":false}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/giftcardfulfillments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
